while getopts "i:n:"  OPTION 2>/dev/null  
  do
  case $OPTION in
  i) arg1="$OPTARG";;
  n) fw_name="$OPTARG";;
  \?) err="1" ;;
  :)  err= "1" ;; 
      esac
  done  
  
cp $fw_name autogen_tmp/tmp_fw

sed -e "s/%6 = load float\* %k_val\, align 4\, \!tbaa \!0//g" autogen_tmp/tmp_fw | sed -e "s/%6/%3/g" | sed -e "s/%7/%6/g" |sed -e "s/%8/%7/g" > $fw_name
